# Uses of Class
java.lang.module.Configuration

Packages that use Configuration
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.lang.module
Classes to support module descriptors and creating configurations of modules by means of resolution and service binding.

## Uses of Configuration in java.lang

Methods in java.lang that return Configuration
Modifier and Type
Method
Description
`Configuration`
ModuleLayer.`configuration()`
Returns the configuration for this layer.
Methods in java.lang with parameters of type Configuration
Modifier and Type
Method
Description
`ModuleLayer`
ModuleLayer.`defineModules(Configuration cf, Function<String, ClassLoader> clf)`
Creates a new module layer, with this layer as its parent, by defining the modules in the given `Configuration` to the Java virtual machine.
`static ModuleLayer.Controller`
ModuleLayer.`defineModules(Configuration cf, List<ModuleLayer> parentLayers, Function<String, ClassLoader> clf)`
Creates a new module layer by defining the modules in the given `Configuration` to the Java virtual machine.
`ModuleLayer`
ModuleLayer.`defineModulesWithManyLoaders(Configuration cf, ClassLoader parentLoader)`
Creates a new module layer, with this layer as its parent, by defining the modules in the given `Configuration` to the Java virtual machine.
`static ModuleLayer.Controller`
ModuleLayer.`defineModulesWithManyLoaders(Configuration cf, List<ModuleLayer> parentLayers, ClassLoader parentLoader)`
Creates a new module layer by defining the modules in the given `Configuration` to the Java virtual machine.
`ModuleLayer`
ModuleLayer.`defineModulesWithOneLoader(Configuration cf, ClassLoader parentLoader)`
Creates a new module layer, with this layer as its parent, by defining the modules in the given `Configuration` to the Java virtual machine.
`static ModuleLayer.Controller`
ModuleLayer.`defineModulesWithOneLoader(Configuration cf, List<ModuleLayer> parentLayers, ClassLoader parentLoader)`
Creates a new module layer by defining the modules in the given `Configuration` to the Java virtual machine.

## Uses of Configuration in java.lang.module

Methods in java.lang.module that return Configuration
Modifier and Type
Method
Description
`Configuration`
ResolvedModule.`configuration()`
Returns the configuration that this resolved module is in.
`static Configuration`
Configuration.`empty()`
Returns the empty configuration.
`Configuration`
Configuration.`resolve(ModuleFinder before, ModuleFinder after, Collection<String> roots)`
Resolves a collection of root modules, with this configuration as its parent, to create a new configuration.
`static Configuration`
Configuration.`resolve(ModuleFinder before, List<Configuration> parents, ModuleFinder after, Collection<String> roots)`
Resolves a collection of root modules to create a configuration.
`Configuration`
Configuration.`resolveAndBind(ModuleFinder before, ModuleFinder after, Collection<String> roots)`
Resolves a collection of root modules, with service binding, and with this configuration as its parent, to create a new configuration.
`static Configuration`
Configuration.`resolveAndBind(ModuleFinder before, List<Configuration> parents, ModuleFinder after, Collection<String> roots)`
Resolves a collection of root modules, with service binding, to create configuration.
Methods in java.lang.module that return types with arguments of type Configuration
Modifier and Type
Method
Description
`List<Configuration>`
Configuration.`parents()`
Returns an unmodifiable list of this configuration's parents, in search order.
Method parameters in java.lang.module with type arguments of type Configuration
Modifier and Type
Method
Description
`static Configuration`
Configuration.`resolve(ModuleFinder before, List<Configuration> parents, ModuleFinder after, Collection<String> roots)`
Resolves a collection of root modules to create a configuration.
`static Configuration`
Configuration.`resolveAndBind(ModuleFinder before, List<Configuration> parents, ModuleFinder after, Collection<String> roots)`
Resolves a collection of root modules, with service binding, to create configuration.